Subject: Re: cvsimport still not working with cvsnt

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Feb 2011 16:45:25 -0800

Guy Rouillier <[email-masked]> writes:

> To answer Junio's question, I'm looking at the CVSNT code now
> (GlobalSettings.cpp, if anyone is interested.)  The password is stored
> in a general fashion like any other user-specified value.  So, the
> authors elected to use a properties file format of key=value.  That is
> as valid a format as any other.

As you dug that far, could you find out what happens when cvsroot contains
an equal-sign character in its path component?

I am starting to suspect that we do need two separate codepaths, and we
would need to split out the logic to find matching password entry given a
cvsroot value into a separate function to keep our sanity after all.